• 注册
热门标签
↑ 收起导航

解决LNMP下WordPress提示scandir()错误的方法

Centos下安装了LNMP,今天突然发现wordpress主题只能显示一个,而且在编辑页面时,发现模板处不能选择,而是提示如下错误:

Warning: scandir() has been disabled for security reasons in xxx/yangjunwei/wp-includes/class-wp-theme.php on line 980……

查了一下,这是由于lnmp环境下的php.ini将函数scandir()禁用了,可以使用 winSCP 软件编辑 /usr/local/php/etc/php.ini,找到并删除 disable_functions 后面的 scandir 函数即可。

可以使用如下命令实现删除:

sed -i 's/,scandir//g' /usr/local/php/etc/php.ini

sed 还能实现查找功能,更多功能前往:Linux中sed命令使用

记得要使修改生效,还需要 SSH 命令重启php-fpm:

/etc/init.d/php-fpm restart
版权声明:转载请注明来自杨俊伟博客,本文地址:http://yangjunwei.com/a/1215.html
除非注明,杨俊伟博客文章均为原创,转载请注明出处和链接!
 

发表评论 



我还是想用邮箱注册

登录

忘记密码 ?

用第三方帐号快捷登录

已有账户?前往登录吧~

注册